Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access
Interface QueryEngine

All Known Implementing Classes:
  DataContext, DataDomain, DataNode, OracleDataNode

    public interface QueryEngine

Defines methods used to run Cayenne queries.

For more information see Cayenne User Guide.

Author:
  Andrei Adamchik

Method Summary
`java.util.Collection` | `getDataMaps()` Deprecated. since 1.2. Use 'getEntityResolver().getDataMaps()' instead.
`EntityResolver` | `getEntityResolver()` Returns a resolver for this query engine that is capable of resolving between classes, entity names, and obj/db entities
`DataNode` | `lookupDataNode(DataMap dataMap)` Deprecated. since 1.2 not a part of the interface. Only DataDomain has meaningful implementation.
`void` | `performQueries(java.util.Collection queries, OperationObserver resultConsumer)` Executes a list of queries wrapping them in its own transaction.
`void` | `performQueries(java.util.Collection queries, OperationObserver resultConsumer, Transaction transaction)` Deprecated. since 1.2 as thread-bound transactions are used.

Method Detail

### performQueries

    void performQueries(java.util.Collection queries,
                        OperationObserver resultConsumer,
                        Transaction transaction)

  Deprecated. since 1.2 as thread-bound transactions are used.

  Executes queries in the transactional context provided by the caller. It is caller's responsibility to commit or rollback the Transaction and close any connections that were added to it.

  Since:
    1.1

### performQueries

    void performQueries(java.util.Collection queries,
                        OperationObserver resultConsumer)

  Executes a list of queries wrapping them in its own transaction. Results of execution are passed to `OperationObserver`object via its callback methods.

  Since:
    1.1 The signiture has changed from List to Collection.

### lookupDataNode

    DataNode lookupDataNode(DataMap dataMap)

  Deprecated. since 1.2 not a part of the interface. Only DataDomain has meaningful implementation.

  Returns a DataNode that should handle queries for all DataMap components.

  Since:
    1.1

### getEntityResolver

    EntityResolver getEntityResolver()

  Returns a resolver for this query engine that is capable of resolving between classes, entity names, and obj/db entities

### getDataMaps

    java.util.Collection getDataMaps()

  Deprecated. since 1.2. Use 'getEntityResolver().getDataMaps()' instead.

  Returns a collection of DataMaps associated with this QueryEngine.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.